Package com.enonic.xp.query.expr

## Class CompareExpr

- java.lang.Object
- - com.enonic.xp.query.expr.CompareExpr

- All Implemented Interfaces:
    `ConstraintExpr`, `Expression`

      @PublicApi
      public final class CompareExpr
      extends Object
      implements ConstraintExpr

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CompareExpr.Operator` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CompareExpr` | `create​(FieldExpr field, CompareExpr.Operator operator, ValueExpr value)` |
    `static CompareExpr` | `create​(FieldExpr field, CompareExpr.Operator operator, Iterable<ValueExpr> values)` |
    `static CompareExpr` | `eq​(FieldExpr field, ValueExpr value)` |
    `FieldExpr` | `getField()` |
    `ValueExpr` | `getFirstValue()` |
    `CompareExpr.Operator` | `getOperator()` |
    `List<ValueExpr>` | `getValues()` |
    `static CompareExpr` | `gt​(FieldExpr field, ValueExpr value)` |
    `static CompareExpr` | `gte​(FieldExpr field, ValueExpr value)` |
    `static CompareExpr` | `in​(FieldExpr field, List<ValueExpr> values)` |
    `static CompareExpr` | `like​(FieldExpr field, ValueExpr value)` |
    `static CompareExpr` | `lt​(FieldExpr field, ValueExpr value)` |
    `static CompareExpr` | `lte​(FieldExpr field, ValueExpr value)` |
    `static CompareExpr` | `neq​(FieldExpr field, ValueExpr value)` |
    `static CompareExpr` | `notIn​(FieldExpr field, List<ValueExpr> values)` |
    `static CompareExpr` | `notLike​(FieldExpr field, ValueExpr value)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getField

          public FieldExpr getField()

    - #### getOperator

          public CompareExpr.Operator getOperator()

    - #### getFirstValue

          public ValueExpr getFirstValue()

    - #### getValues

          public List<ValueExpr> getValues()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### eq

          public static CompareExpr eq​(FieldExpr field,
                                       ValueExpr value)

    - #### neq

          public static CompareExpr neq​(FieldExpr field,
                                        ValueExpr value)

    - #### gt

          public static CompareExpr gt​(FieldExpr field,
                                       ValueExpr value)

    - #### gte

          public static CompareExpr gte​(FieldExpr field,
                                        ValueExpr value)

    - #### lt

          public static CompareExpr lt​(FieldExpr field,
                                       ValueExpr value)

    - #### lte

          public static CompareExpr lte​(FieldExpr field,
                                        ValueExpr value)

    - #### like

          public static CompareExpr like​(FieldExpr field,
                                         ValueExpr value)

    - #### notLike

          public static CompareExpr notLike​(FieldExpr field,
                                            ValueExpr value)

    - #### in

          public static CompareExpr in​(FieldExpr field,
                                       List<ValueExpr> values)

    - #### notIn

          public static CompareExpr notIn​(FieldExpr field,
                                          List<ValueExpr> values)

    - #### create

          public static CompareExpr create​(FieldExpr field,
                                           CompareExpr.Operator operator,
                                           ValueExpr value)

    - #### create

          public static CompareExpr create​(FieldExpr field,
                                           CompareExpr.Operator operator,
                                           Iterable<ValueExpr> values)